> For the complete documentation index, see [llms.txt](https://docs-swft.swft.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/zhang-hu-liu-shui-xiang-qing.md).

# 账户流水详情

**1. 接口调用：**

&#x20;`https://{host}/marketApi/billRecord`

**2. 请求参数实例**

| 参数        | 是否必须 | 说明           |
| --------- | ---- | ------------ |
| channelId | 是    | 渠道id         |
| timestamp | 是    | 毫秒时间戳（UTC+8） |
| sign      | 是    | 签名           |
| pageNo    | 否    | 当前页数（默认1）    |
| pageSize  | 否    | 每页条数（默认10）   |
| coinCode  | 是    | 币种简称         |

3.请求参数示例

```
 {
     "channelId":"swft-channel",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":"1557653925555",
     "pageNo":"2",
     "pageSize":"10",
     "coinCode":"BTC",
 }
```

4.返回结果示例

```
 {
     "data":{
         "pageContent":[
            {
                "amount":"4.344231",
                "changeAmt":"1",
                "coinCode":"BTC",
                "createTime":"2019-08-02 11:14:00",
                "recordId":"adsjvLP4",
                "type":"trade_deduct"
            },
            {
                "amount":"5.344231",
                "changeAmt":"0.0013",
                "coinCode":"BTC",
                "createTime":"2019-08-03 11:14:00",
                "recordId":"mffeoHl",
                "type":"trade_receive"
            }
        ],
        "pageNo":1,
        "pageSize":10,
        "totalCount":2,
        "totalPage":1
     },
     "resCode": "800",
     "resMsg": "成功"
 }
```

5.返回参数说明

| 字段名称 | 是否数组 | 字段         | 数据类型   | 数据长度 | 必须项 | 备注                             |
| ---- | ---- | ---------- | ------ | ---- | --- | ------------------------------ |
| 当前页数 | N    | pageNo     | Number | 20   | Y   | eg: 1                          |
| 每页条数 | N    | pageSize   | Number | 20   | Y   | eg: 10                         |
| 总记录数 | N    | totalCount | Number | 20   | Y   | eg: 2                          |
| 总页数  | N    | totalPage  | Number | 20   | Y   | eg: 1                          |
| 余额   | Y    | amount     | String | 20   | Y   | eg: 4.32                       |
| 变化数量 | Y    | changeAmt  | String | 20   | Y   | eg: 1                          |
| 币种   | Y    | coinCode   | String | 20   | Y   | eg: BTC                        |
| 流水id | Y    | recordId   | String | 20   | Y   | eg: adsjvLP4                   |
| 流水类型 | Y    | type       | String | 20   | Y   | eg: trade\_deduct              |
| 时间   | Y    | createTime | String | 20   | Y   | eg: 2019-08-03 11:14:00（UTC+8） |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/zhang-hu-liu-shui-xiang-qing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
